/// @function										scr_model_load_block();
/// @param	{real}	_size
/// @param	{color}	_col

function scr_model_load_block( _size, _col ){

	#region bottom face
	var b_face = vertex_create_buffer();
	vertex_begin( b_face, global.vertex_format );
	vertex_add_point( b_face,	0, 0, 0,			0, 0, -1,	0, 0,	_col, 1);
	vertex_add_point( b_face,	_size, 0, 0,		0, 0, -1,	1, 0,	_col, 1);
	vertex_add_point( b_face,	_size, _size, 0,	0, 0, -1,	1, 1,	_col, 1);
	vertex_add_point( b_face,	_size, _size, 0,	0, 0, -1,	1, 1,	_col, 1);
	vertex_add_point( b_face,	0, _size, 0,		0, 0, -1,	0, 1,	_col, 1);
	vertex_add_point( b_face,	0, 0, 0,			0, 0, -1,	0, 0,	_col, 1);
	vertex_end( b_face );
	#endregion

	#region top face
	var t_face = vertex_create_buffer();
	vertex_begin( t_face, global.vertex_format );
	vertex_add_point( t_face,	0, 0, _size,		0, 0, 1,	0, 0,	_col, 1);
	vertex_add_point( t_face,	_size, 0, _size,	0, 0, 1,	1, 0,	_col, 1);
	vertex_add_point( t_face,	_size, _size, _size,0, 0, 1,	1, 1,	_col, 1);
	vertex_add_point( t_face,	_size, _size, _size,0, 0, 1,	1, 1,	_col, 1);
	vertex_add_point( t_face,	0, _size, _size,	0, 0, 1,	0, 1,	_col, 1);
	vertex_add_point( t_face,	0, 0, _size,		0, 0, 1,	0, 0,	_col, 1);
	vertex_end( t_face );
	#endregion

	#region north face
	var n_face = vertex_create_buffer();
	vertex_begin( n_face, global.vertex_format );
	vertex_add_point( n_face,	0, 0, 0,			0, -1, 0,	1, 1,	_col, 1);
	vertex_add_point( n_face,	_size, 0, 0,		0, -1, 0,	0, 1,	_col, 1);
	vertex_add_point( n_face,	_size, 0, _size,	0, -1, 0,	0, 0,	_col, 1);
	vertex_add_point( n_face,	_size, 0, _size,	0, -1, 0,	0, 0,	_col, 1);
	vertex_add_point( n_face,	0, 0, _size,		0, -1, 0,	1, 0,	_col, 1);
	vertex_add_point( n_face,	0, 0, 0,			0, -1, 0,	1, 1,	_col, 1);
	vertex_end( n_face );
	#endregion
	
	#region south face
	var s_face = vertex_create_buffer();
	vertex_begin( s_face, global.vertex_format );
	vertex_add_point( s_face,	0, _size, 0,		0, 1, 0,	1, 1,	_col, 1);
	vertex_add_point( s_face,	_size, _size, 0,	0, 1, 0,	0, 1,	_col, 1);
	vertex_add_point( s_face,	_size, _size, _size,0, 1, 0,	0, 0,	_col, 1);
	vertex_add_point( s_face,	_size, _size, _size,0, 1, 0,	0, 0,	_col, 1);
	vertex_add_point( s_face,	0, _size, _size,	0, 1, 0,	1, 0,	_col, 1);
	vertex_add_point( s_face,	0, _size, 0,		0, 1, 0,	1, 1,	_col, 1);
	vertex_end( s_face );
	#endregion
	
	#region west face
	var w_face = vertex_create_buffer();
	vertex_begin( w_face, global.vertex_format );
	vertex_add_point( w_face,	0, 0, 0,			-1, 0, 0,	1, 1,	_col, 1);
	vertex_add_point( w_face,	0, _size, 0,		-1, 0, 0,	0, 1,	_col, 1);
	vertex_add_point( w_face,	0, _size, _size,	-1, 0, 0,	0, 0,	_col, 1);
	vertex_add_point( w_face,	0, _size, _size,	-1, 0, 0,	0, 0,	_col, 1);
	vertex_add_point( w_face,	0, 0, _size,		-1, 0, 0,	1, 0,	_col, 1);
	vertex_add_point( w_face,	0, 0, 0,			-1, 0, 0,	1, 1,	_col, 1);
	vertex_end( w_face );
	#endregion
	
	#region east face
	var e_face = vertex_create_buffer();
	vertex_begin( e_face, global.vertex_format );
	vertex_add_point( e_face,	_size, 0, 0,			1, 0, 0,	1, 1,	_col, 1);
	vertex_add_point( e_face,	_size, _size, 0,		1, 0, 0,	0, 1,	_col, 1);
	vertex_add_point( e_face,	_size, _size, _size,	1, 0, 0,	0, 0,	_col, 1);
	vertex_add_point( e_face,	_size, _size, _size,	1, 0, 0,	0, 0,	_col, 1);
	vertex_add_point( e_face,	_size, 0, _size,		1, 0, 0,	1, 0,	_col, 1);
	vertex_add_point( e_face,	_size, 0, 0,			1, 0, 0,	1, 1,	_col, 1);
	vertex_end( e_face );
	#endregion

	var model = ds_list_create();
	ds_list_add( model, b_face, t_face, n_face, s_face, w_face, e_face );
	
	return model;
}